#include <bits/stdc++.h>

using namespace std;

int main()
{
    unsigned long long br=1;
    int n,i;
    cin>>n;
    char niz[n];
    bool pmesto[n];
    int duplikati[26];
    for(i=0;i<n;i++)
    cin>>niz[i];

    for(i=0;i<n;i++)
    pmesto[i]= false;

    for(i=0;i<26;i++)
    duplikati[i]=1;

    for(i=1;i<n;i++)
    {
        if((int)niz[i] < (int)niz[i-1])
            pmesto[i]=true;
    }



    for(i=0;i<n-1;i++)
    {
        if((pmesto[i]!= true)&&(pmesto[i+1]!= true))
        {
            if(niz[i] == niz[i+1])
            duplikati[((int)niz[i])-65]+=1;;
        }
    }

    for(i=0;i<26;i++)
        br*=duplikati[i];

    br=br%1000000007;
    cout<<br;
    return 0;
}